# Command: Select

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Select - reduces an array to elements which fulfill a criterion

Synopsis:

    array proc Select -> array
      Examples:[4 -2 0.3 -1.7 -3 0 7] {0 lt} Select -> [-2 -1.7 -3]
      [4 -2 0.3 -1.7 -3 0 7] {0 gt} Select -> [ 4  0.3  7]

Remarks:

    Mathematica compatible

Author:

    Diesmann

FirstVersion:

    9.2.01

SeeAlso:

- Take
- Split

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative